{% load wagtailcore_tags wagtailimages_tags %}

{% image self.image_background width-1920 as bg_img %}
{% image self.image_foreground width-790 as fg_img %}

<header class="hero hero--image text-center max-h-full md:text-left " style="--image-url: url({{ bg_img.full_url }})">
    <div class="container container--default grid lg:grid-cols-6 gap-4 items-center text-center lg:text-left">
        <div class="lg:col-span-2 order-2 lg:order-1">
            <h1 class="head-alt-lg md:head-alt-xl text-shadow-lg max-w-2xl mx-auto lg:mx-0">
                {{ self.title }}
            </h1>
            <div class="mt-4 md:mt-8 space-y-4">
                {% for block in self.button_group %}
                    <div class="w-100">
                        {% include_block block %}
                    </div>
                {% endfor %}
            </div>
        </div>
        <div class="lg:col-span-4 order-1 lg:order-2">
            {% if self.image_foreground %}
                <img src="{{ fg_img.url }}" class="m-auto object-contain" alt="{{ fg_img.alt }}">
            {% endif %}
        </div>
    </div>
</header>
